Retrieve a cron schedule
Retrieve detailed information about specific cron scheduling for a group of workspaces. Returns schedule configuration, including cron expression, timezone, operation type, intermediate device configuration, and audit metadata (created by, updated by, updated on).
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "507f1f77bcf86cd799439060",
"cron_expression": "0 8 * * 1-5",
"time_zone": "Eastern Standard Time",
"type": "start",
"intermediate_device": "507f1f77bcf86cd799439050",
"created_by": "507f1f77bcf86cd799439070"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the organization
24^[0-9a-f]{24}$The unique identifier of the workspace group
24^[0-9a-f]{24}$The unique identifier of the schedule
24^[0-9a-f]{24}$Response
Schedule details successfully retrieved. The response includes cron expression, timezone, type, intermediate device information, and audit metadata.
The unique identifier of the schedule
^[0-9a-f]{24}$"507f1f77bcf86cd799439060"
Cron expression defining when the schedule runs. Format: minute hour day-of-month month day-of-week.
"0 8 * * 1-5"
Timezone for the execution of the schedule. Supports IANA identifiers (e.g., 'America/New_York') and Windows identifiers (e.g., 'Pacific Standard Time').
"Eastern Standard Time"
Power operation type: START (switch on), STOP (switch off), RESTART (restart Workspaces)
start, stop, restart The unique identifier of the intermediate device Workspace, if configured. Used for Wake on LAN actions in secure networks.
^[0-9a-f]{24}$"507f1f77bcf86cd799439050"
User ID who created the schedule
^[0-9a-f]{24}$"507f1f77bcf86cd799439070"
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules/{schedule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "507f1f77bcf86cd799439060",
"cron_expression": "0 8 * * 1-5",
"time_zone": "Eastern Standard Time",
"type": "start",
"intermediate_device": "507f1f77bcf86cd799439050",
"created_by": "507f1f77bcf86cd799439070"
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}